Bug 190407 - Greenonblack color scheme makes some curses apps unreadable (patch)
Summary: Greenonblack color scheme makes some curses apps unreadable (patch)
Status: RESOLVED FIXED
Alias: None
Product: konsole
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Konsole Developer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-23 07:08 UTC by Bernard Gray
Modified: 2011-08-24 05:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Bernard Gray 2009-04-23 07:08:17 UTC
Version:            (using KDE 4.2.2)
OS:                Linux
Installed from:    Debian testing/unstable Packages

The GreenonBlack konsole color scheme uses a slightly different blue than other schemes. It makes the use of many curses apps such as dpkg configuration and rcconf extremely difficult.

Screenshot:
http://i4.photobucket.com/albums/y131/clearyss/konsole-theme1.png

Setting it back to the same blue used by the BlackonWhite color scheme makes these apps usable again.

patch:

--- GreenOnBlack.colorscheme.orig       2009-04-23 14:32:22.000000000 +1000
+++ GreenOnBlack.colorscheme    2009-04-23 14:34:32.000000000 +1000
@@ -51,7 +51,7 @@ Transparency=false

 [Color4]
 Bold=false
-Color=92,167,251
+Color=24,24,178
 Transparency=false

 [Color4Intense]
Comment 1 Kurt Hindenburg 2009-12-06 18:24:44 UTC
I agree that after this change, it looks better.

You can always create a new Color profile.
Comment 2 Jekyll Wu 2011-08-23 03:58:25 UTC
I also agree the patched version give better experience. Is there some good reason for not shipping the patched version as the default?
Comment 3 Kurt Hindenburg 2011-08-23 14:43:02 UTC
go ahead please
Comment 4 Jekyll Wu 2011-08-24 05:16:06 UTC
Git commit 04213c0202866e7ea18ab7c0374680a8a0c4bb8a by Jekyll Wu.
Committed on 24/08/2011 at 06:01.
Pushed by jekyllwu into branch 'master'.

Make GreenOnBlack use the same blue color as in BlackOnWhite.

BUG: 190407
FIXED-IN: 4.8

M  +1    -1    data/color-schemes/GreenOnBlack.colorscheme

http://commits.kde.org/konsole/04213c0202866e7ea18ab7c0374680a8a0c4bb8a
Comment 5 Bernard Gray 2011-08-24 05:31:48 UTC
Thanks fellas - better late than never ;)